For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Logs
      • DELDelete Logs
      • GETGet Log
LogoLogo
Sign inBook a demo
APILogs

Get Log

GET
https://api.humanloop.com/v5/logs/:id
GET
/v5/logs/:id
$curl https://api.humanloop.com/v5/logs/prv_Wu6zx1lAWJRqOyL8nWuZk \
> -H "X-API-KEY: <apiKey>"
1{
2 "id": "log_123efg",
3 "created_at": "2024-05-01T12:00:00Z",
4 "output": "This is a sample output.",
5 "prompt": {
6 "id": "pr_123abc",
7 "name": "Test Prompt",
8 "path": "test-prompt",
9 "version_id": "pv_456def",
10 "created_at": "2024-05-01T12:00:00Z",
11 "updated_at": "2024-05-01T12:00:00Z",
12 "last_used_at": "2024-05-01T12:00:00Z",
13 "model": "gpt-4",
14 "version_logs_count": 1,
15 "total_logs_count": 1,
16 "inputs": [
17 {
18 "name": "question"
19 }
20 ]
21 },
22 "evaluator_logs": []
23}
Retrieve the Log with the given ID.
Was this page helpful?
Previous
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Log.

Response

Successful Response
object
OR
object
OR
object
OR
object
OR
object

Errors

422
Get Logs ID Get Request Unprocessable Entity Error